
%global meadversion 3.4.0
%global namedversion 3.4.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jbossws-spi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.4.0.Final-redhat-00001

Name:           %{?scl_prefix}jbossws-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services (SPI)
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jbossws-spi-3.4.0.Final-redhat-00001-project-sources.tar.gz
Source102: jbossws-spi-3.4.0.Final-redhat-00001-sources.jar
Source103: jbossws-spi-3.4.0.Final-redhat-00001.pom
Source104: jbossws-spi-3.4.0.Final-redhat-00001-javadoc.jar
Source105: jbossws-spi-3.4.0.Final-redhat-00001.jar
%endif

URL:            http://labs.jboss.com/jbossws/

BuildRoot:      %{_tmppath}/jbossws-spi-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JBossWS SPI

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for jbossws-spi
BuildRequires:  unzip

%description javadoc
API documentation for jbossws-spi.
%endif

%prep
%setup -q -n jbossws-spi-%{namedversion} -T -b 100

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbossws-spi-%{namedversion}.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%endif
%{__cp} -p %{_sourcedir}/jbossws-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/jbossws-spi-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jbossws-spi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-spi-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jbossws-spi-%{namedversion}/META-INF
ln -s jbossws-spi-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-spi
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}jbossws-spi
%defattr(0644,root,root,0755)
%doc LICENSE.txt README-COMMITTERS
%{_javadir}/jbossws-spi-%{namedversion}.jar
%{_javadir}/jbossws-spi.jar
%{_javadir}/jbossws-spi-%{namedversion}-sources.jar
%{_javadir}/jbossws-spi-sources.jar
%if %with javadoc
%{_javadir}/jbossws-spi-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-spi-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-spi-%{namedversion}
%{_javadocdir}/jbossws-spi
%endif

%changelog
* Wed Oct 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.4.0-2.Final_redhat_00001.1
- Built by CPaaS

* Wed Jun 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.4.0-1.Final_redhat_00001.1
Built by CPaaS



* Tue Jan 05 2021 Yong Yang <yyang@redhat.com> - 3.3.1-1.Final_redhat_00001.1
- RPM wrapper build 3.3.1.Final-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 3.3.0-1.Final_redhat_00001.1
- RPM wrapper build 3.3.0.Final-redhat-00001

* Tue Oct 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.2.3-1.Final_redhat_00001.1
- upgrade to 3.2.3.Final-redhat-00001

* Thu Aug 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.2.2-1.Final_redhat_00001.1
- upgrade to 3.2.2.Final-redhat-00001

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 3.2.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Fri May 25 2018 Petr Sakar <psakar@redhat.com> - 3.2.1-1.Final_redhat_1.1
- upgrade to 3.2.1.Final-redhat-1

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 3.1.4-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 3.1.4-1.Final_redhat_1.1
- upgrade to 3.1.4.Final-redhat-1 

* Tue Nov 29 2016 Filip Kujikis <fkujikis@redhat.com> - 3.1.3-1.Final_redhat_1.1
- prod build for 3.1.3.Final

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.1.2-1.Final_redhat_1.1
- Upgrade to 3.1.2.Final

* Fri Sep 25 2015 Hui Wang <huwang@redhat.com> - 3.1.0-2.Final_redhat_1.1
- Upgrade to 3.1.0.Final-redhat-1

* Mon Aug 24 2015 Hui Wang <huwang@redhat.com> - 3.1.0-1.Beta1_redhat_1.1
- Upgrade to 3.1.0.Beta1-redhat-1

* Tue Jul 07 2015 Hui Wang <huwang@redhat.com> - 3.0.0-1.Final_redhat_1.1
- Upgrade to 3.0.0.Final-redhat-1

* Tue Nov 11 2014 Lin Gao <lgao@redhat.com> - 2.3.1-1.Final_redhat_1.1
- Upgrade to 2.3.1.Final-redhat-1

* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-2.Final_redhat_1.1
- Rebuild to add BuildRequires: jpackage-utils

* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-1.Final_redhat_1.1
- Update to 2.3.0.Final

* Wed Oct 23 2013 Hui Wang <huwang@redhat.com> 2.2.2-1.Final_redhat_1.1
- Upgrade to 2.2.2.Final
 
* Sun Sep 22 2013 Lin Gao <lgao@redhat.com> - 2.2.1-1.Final_redhat_1.1
- Upgrade to 2.2.1.Final

* Thu Sep 05 2013 Hui Wang <huwang@redhat.com> - 2.2.0-1.Final_redhat_1.1
- Upgrade to 2.2.0.Final

* Mon Jul 15 2013 Lin Gao <lgao@redhat.com> - 0:2.1.3-1.Final_redhat_1
- Upgrade to 2.1.3.Final

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.2-1.Final_redhat_1
- Upgrade to 2.1.2.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final

* Mon Nov 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.2.GA_redhat_1
- Add redhat-N suffix to javadoc unsigned symlink target

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.1.GA_redhat_1
- Rebuild for MD5

* Mon Sep 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-2.1.GA_redhat_1
- Do not require parent at run-time

* Fri Sep 07 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.0.4-2.GA_redhat_1
- Fix BR and R : jboss-jms-api_1.1_spec

* Fri Aug 24 2012 Hui Wang <huwang@redhat.com> - 0:2.0.3-2.GA_redhat_1
- Upgrade to 2.0.4.GA

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-2.GA_redhat_1
- Remove javadocs from main package and install into their own RPM

* Fri Mar 23 2012 Lin Gao <lgao@rehdat.com> 0:2.0.3-1.GA_redhat_1
- Upgrade to 2.0.3.GA

* Wed Mar 14 2012 Hui Wang <huwang@rehdat.com> 0:2.0.2-1.GA_redhat_1.1
- New wrapper
- Remove extra %%{name} in installing path
- Fix release tag

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:2.0.2-0.1.GA_redhat_1
- upgrade to 2.0.2.GA

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.1-0.2.GA_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Lin Gao <lgao@redhat.com> - 0:2.0.1-0.1.GA_redhat_1
- upgrade to 2.0.1.GA

* Mon Nov 14 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Beta13_redhat_1
- RPM build against mead build

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.3.Beta12_redhat_1
- RPM build against mead build

* Fri Nov 04 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta12_redhat_1
- Upgrade to 2.0.0.Beta12

* Fri Oct 28 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta11_redhat_1
- Upgrade to 2.0.0.Beta11

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Beta6
- Upgrade to 2.0.0.Beta6
- Build for wolf

* Mon Jun 27 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.3.Alpha3
- BR/R jboss-servlet-api_3.0_spec instead of jbossweb-servlet-2.5-api

* Thu Jun 09 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Alpha3
- Add R jbossws-parent

* Fri Jun 03 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Alpha3
- Upgrade to 2.0.0.Alpha3
- Cleanup

* Thu Feb 10 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-4.SP6.1
- Upgrade to 1.1.2.SP6

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-3.SP4.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Change BR jbossxb >= 1.0.0 to jbossxb2, fix its depmap entry
- Change BR jboss-common to jboss-common-core, fix its depmap entry
- Change BR jboss-microcontainer to jboss-microcontainer2
- Modified jbossws-spi-pom.xml.patch so that it uses jboss-microcontainer2

* Wed May 26 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-3.SP4.1
- Upgrade to 1.1.2.SP4
- Add BR:  maven2-plugin-enforcer
- Add BR:  jboss-jms-1.1-api, added its depmap entry. 

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.2-2.SP1_CP01.1.4.1
- rebuilt

* Wed Apr 21 2010 Hui Wang <huwang@redhat.com> 0:1.1.2-2.SP1_CP01.1.4
- Add BR: BuildRequires: sun-saaj-1.3-api 
- Rebuild

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.3
- Add Requires:  codehaus-stax11-api

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.2
- Add needed Requires

* Mon Jan 25 2010 Yong Yang <yyang@redhat.com> 0:1.1.2-2.SP1_CP01.1.1
- First build in RHEL-5-EP-5
- Comment "BuildRequires:  jbossws"
- BuildRequires:  geronimo-ws-metadata-2.0-api,geronimo-jaxrpc-1.1-api, add/change corresponding depmap

* Thu Jan 21 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-2.SP1_CP01.1
- Fix Release tag

* Wed Jan 20 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-1.SP1_CP01.1
- Upgrade to 1.1.2.SP1_CP01
- Add BR codehaus-stax11-api, sun-ws-metadata-2.0-api and their depmap entries
- Change to %{version_full} for depmap entry

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.5
- Add R: glassfish-jaxb

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.4
- Add pom to repolib

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.3
- Fix component-info.xml

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.2
- Rebuild with latest jbossws
- Add R: gnu-getop

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.1
- Add maven fragment

* Thu Jun 25 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1
- Upgrade to 1.1.2.SP1

* Tue May 12 2009 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP02.1.ep1
- Upgrade to CP02
- Use jboss-microcontainer package

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.1.ep1
- Turn on debug symbols

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1
- Upgrade to CP01
- Replace most binary dependencies with the ones from RPMs

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.7
- Quick fix to add 'version' and 'tag' attributes to the component-info.xml
  root element.

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.6
- Added -brew suffix for repolib

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.5
- First /actual/ building version

* Tue Nov 06 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.4
- Added missing defattr to files list

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.3
- Add src ZIP to repolib

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.2
- Build repolib

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.1
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0.GA-0.1
- First release. Also, Halloween!
